using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class ColosseumDeckEntryAvatarTask : BaseTask
{
	public class ColosseumDeckEntryHOFTaskParam : BaseParam
	{
		public string deck_no_list;
	}

	public ColosseumDeckEntryAvatarTask()
	{
		base.type = ApiType.Type.ColosseumAvatarDeckEntry;
	}

	public void SetParameter(List<DeckData> deckList)
	{
		ColosseumDeckEntryHOFTaskParam colosseumDeckEntryHOFTaskParam = new ColosseumDeckEntryHOFTaskParam();
		List<int> list = new List<int>();
		for (int i = 0; i < deckList.Count; i++)
		{
			list.Add(deckList[i].GetDeckID());
		}
		colosseumDeckEntryHOFTaskParam.deck_no_list = JsonMapper.ToJson(list);
		base.Params = colosseumDeckEntryHOFTaskParam;
	}
}
